漏洞信息详情

HP Linux Imaging and Printing (HPLIP) "hplip.postinst" 权限许可和访问控制漏洞

  • CNNVD编号:CNNVD-200901-183
  • 危害等级: 中危
  • CVE编号: CVE-2009-0122
  • 漏洞类型: 权限许可和访问控制
  • 发布时间: 2009-01-15
  • 威胁类型: 本地
  • 更新时间: 2009-01-31
  • 厂        商: hp
  • 漏洞来源:

漏洞简介

Ubuntu上的HP Linux Imaging and Printing (HPLIP) 2.7.7和2.8.2版本中的hplip.postinst允许本地用户借助未明操作,更改任意文件的所有权,比如在主目录内更改其配置文件的所有权。这些未明操作由管理员在HPLTP安装或升级之前进行。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

Ubuntu Ubuntu Linux 7.10 i386

Ubuntu hpijs-ppds_2.7.7+2.7.7.dfsg.1-0ubuntu5.1_all.deb

http://security.ubuntu.com/ubuntu/pool/universe/h/hplip/hpijs-ppds_2.7 .7+2.7.7.dfsg.1-0ubuntu5.1_all.deb

Ubuntu hpijs-ppds_2.7.7+2.7.7.dfsg.1-0ubuntu5.2_all.deb

http://security.ubuntu.com/ubuntu/pool/universe/h/hplip/hpijs-ppds_2.7 .7+2.7.7.dfsg.1-0ubuntu5.2_all.deb

Ubuntu hpijs-ppds_2.7.7+2.7.7.dfsg.1-0ubuntu5.3_all.deb

http://security.ubuntu.com/ubuntu/pool/universe/h/hplip/hpijs-ppds_2.7 .7+2.7.7.dfsg.1-0ubuntu5.3_all.deb

Ubuntu hpijs_2.7.7+2.7.7.dfsg.1-0ubuntu5.1_i386.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hpijs_2.7.7+2.7.7. dfsg.1-0ubuntu5.1_i386.deb

Ubuntu hpijs_2.7.7+2.7.7.dfsg.1-0ubuntu5.2_i386.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hpijs_2.7.7+2.7.7. dfsg.1-0ubuntu5.2_i386.deb

Ubuntu hpijs_2.7.7+2.7.7.dfsg.1-0ubuntu5.3_i386.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hpijs_2.7.7+2.7.7. dfsg.1-0ubuntu5.3_i386.deb

Ubuntu hplip-data_2.7.7.dfsg.1-0ubuntu5.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-data_2.7.7.d fsg.1-0ubuntu5.1_all.deb

Ubuntu hplip-data_2.7.7.dfsg.1-0ubuntu5.2_all.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-data_2.7.7.d fsg.1-0ubuntu5.2_all.deb

Ubuntu hplip-data_2.7.7.dfsg.1-0ubuntu5.3_all.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-data_2.7.7.d fsg.1-0ubuntu5.3_all.deb

Ubuntu hplip-dbg_2.7.7.dfsg.1-0ubuntu5.1_i386.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-dbg_2.7.7.df sg.1-0ubuntu5.1_i386.deb

Ubuntu hplip-dbg_2.7.7.dfsg.1-0ubuntu5.2_i386.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-dbg_2.7.7.df sg.1-0ubuntu5.2_i386.deb

Ubuntu hplip-dbg_2.7.7.dfsg.1-0ubuntu5.3_i386.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-dbg_2.7.7.df sg.1-0ubuntu5.3_i386.deb

Ubuntu hplip-doc_2.7.7.dfsg.1-0ubuntu5.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-doc_2.7.7.df sg.1-0ubuntu5.1_all.deb

Ubuntu hplip-doc_2.7.7.dfsg.1-0ubuntu5.2_all.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-doc_2.7.7.df sg.1-0ubuntu5.2_all.deb

Ubuntu hplip-doc_2.7.7.dfsg.1-0ubuntu5.3_all.deb

http://security.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-doc_2.7.7.df sg.1-0ubuntu5.3_all.deb

参考网址

来源: BID

名称: 33249

链接:http://www.securityfocus.com/bid/33249

来源: launchpad.net

链接:https://launchpad.net/bugs/191299

来源: UBUNTU

名称: USN-708-1

链接:http://www.ubuntu.com/usn/usn-708-1

来源: SECUNIA

名称: 33539

链接:http://secunia.com/advisories/33539

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多